#include <string>

class CBase64
{
public:
	/* encode
	DataByte
		[in]the length of input data in bytes
	*/
	std::string Encode(const unsigned char* Data, int DataByte);
	/* decode
	DataByte
		[in]the length of input data in bytes
	OutByte
		[out]output  the length of output data in bytes,don't use the length of output data
	*/
	std::string Decode(const char* Data, int DataByte, int& OutByte);
};